Subject: Bug#1156: [X2Go-Dev] SSH daemon could not be started

From: Mihai Moldovan <[email-masked]>
Date: Thu, 15 Feb 2018 03:56:08 +0100

* On 01/29/2018 01:55 PM, Gromit wrote:
> Had this same problem under Windows 10.
> 
> Started x2goclient.debug --debug and it showed me that the
> permissions for the ssh_host_rsa_key are too open (0770).
> 
> Installed cygwin to check these permissions under windows and the user- 
> and groupname where the same username. The rights where 700. Somehow the 
> rights for the group where inherited from the user when they have the 
> same owner/group-name.
> 
> Fixed it by changing the group for ssh_host_rsa_key from the username to 
> 'Users' under cygwin.

Yes, that's very unfortunate. As far as I could find out, that's a known bug (or
feature, or whatever) in Cygwin.

Sadly, I have no idea how to fix that without telling users to install chmod,
cygwin bash and fixing permissions manually. That's certainly not the best way
to deal with that wide-spread issue.

Mihai